<?xml version="1.0" encoding="UTF-8" ?>
<rss version="2.0" xmlns:dc="http://purl.org/dc/elements/1.1/"><channel><title>Delete User REST Endpoint</title><link>https://community.telligent.com/community/11/w/api-documentation/64923/delete-user-rest-endpoint</link><description /><dc:language>en-US</dc:language><generator>14.0.0.586 14</generator><item><title>Delete User REST Endpoint</title><link>https://community.telligent.com/community/11/w/api-documentation/64923/delete-user-rest-endpoint</link><pubDate>Thu, 16 Jul 2020 20:06:46 GMT</pubDate><guid isPermaLink="false">ed025d3a-15f8-4f1d-93e0-189b1f22985a</guid><dc:creator>Former Member</dc:creator><comments>https://community.telligent.com/community/11/w/api-documentation/64923/delete-user-rest-endpoint#comments</comments><description>Current Revision posted to API Documentation by Former Member on 07/16/2020 20:06:46&lt;br /&gt;
&lt;hr class="generated-documentation-start" style="border-width:0;" /&gt;
&lt;div class="documentation"&gt;
&lt;div class="documentation-endpoints"&gt;
&lt;h2&gt;&lt;a id="URLs" name="URLs"&gt;&lt;/a&gt;URLs&lt;/h2&gt;
&lt;h3&gt;&lt;a id="POST_Header_DELETE_api_ashx_v2_users_id_xml_or_json" name="POST_Header_DELETE_api_ashx_v2_users_id_xml_or_json"&gt;&lt;/a&gt;POST (Header: DELETE) api.ashx/v2/users/{id}.xml (or .json)&lt;/h3&gt;
&lt;p&gt;DELETE a user by user id.&lt;/p&gt;
&lt;h3&gt;&lt;a id="POST_Header_DELETE_api_ashx_v2_users_username_xml_or_json" name="POST_Header_DELETE_api_ashx_v2_users_username_xml_or_json"&gt;&lt;/a&gt;POST (Header: DELETE) api.ashx/v2/users/{username}.xml (or .json)&lt;/h3&gt;
&lt;p&gt;DELETE a user by username.&lt;/p&gt;
&lt;/div&gt;
&lt;div class="documentation-request"&gt;
&lt;h2&gt;&lt;a id="Request_Parameters" name="Request_Parameters"&gt;&lt;/a&gt;Request Parameters&lt;/h2&gt;
&lt;table class="WikiTable" cellpadding="2" cellspacing="0" width="99%"&gt;
&lt;thead&gt;
&lt;tr class="WikiTableBgBlue"&gt;
&lt;th&gt;Name&lt;/th&gt;
&lt;th&gt;Type&lt;/th&gt;
&lt;th&gt;Description&lt;/th&gt;
&lt;th&gt;Required&lt;/th&gt;
&lt;th&gt;Default&lt;/th&gt;
&lt;th&gt;Options&lt;/th&gt;
&lt;/tr&gt;
&lt;/thead&gt;
&lt;tbody&gt;
&lt;tr&gt;
&lt;td&gt;Id&lt;/td&gt;
&lt;td&gt;&lt;code&gt;int?&lt;/code&gt;&lt;/td&gt;
&lt;td&gt;Either Id or Username is required.&lt;/td&gt;
&lt;td&gt;Optional&lt;/td&gt;
&lt;td&gt;&lt;/td&gt;
&lt;td&gt;&lt;/td&gt;
&lt;/tr&gt;
&lt;tr&gt;
&lt;td&gt;Username&lt;/td&gt;
&lt;td&gt;&lt;code&gt;string&lt;/code&gt;&lt;/td&gt;
&lt;td&gt;Either Id or Username is required.&lt;/td&gt;
&lt;td&gt;Optional&lt;/td&gt;
&lt;td&gt;&lt;/td&gt;
&lt;td&gt;&lt;/td&gt;
&lt;/tr&gt;
&lt;tr&gt;
&lt;td&gt;ReassignedUserId&lt;/td&gt;
&lt;td&gt;&lt;code&gt;int?&lt;/code&gt;&lt;/td&gt;
&lt;td&gt;Reassign the deleted user&amp;#39;s content to the user with this Id. If not specified, content will be reassigned to the &amp;#39;Former Member&amp;#39; account.&lt;/td&gt;
&lt;td&gt;Optional&lt;/td&gt;
&lt;td&gt;&lt;/td&gt;
&lt;td&gt;&lt;/td&gt;
&lt;/tr&gt;
&lt;tr&gt;
&lt;td&gt;ReassignedUsername&lt;/td&gt;
&lt;td&gt;&lt;code&gt;string&lt;/code&gt;&lt;/td&gt;
&lt;td&gt;Reassign the deleted user&amp;#39;s content to the user with this username. If not specified, content will be reassigned to the &amp;#39;Former Member&amp;#39; account.&lt;/td&gt;
&lt;td&gt;Optional&lt;/td&gt;
&lt;td&gt;&lt;/td&gt;
&lt;td&gt;&lt;/td&gt;
&lt;/tr&gt;
&lt;tr&gt;
&lt;td&gt;DeleteAllContent&lt;/td&gt;
&lt;td&gt;&lt;code&gt;bool&lt;/code&gt;&lt;/td&gt;
&lt;td&gt;If DeleteAllContent is set to true, ReassignUserId and ReassignUsername are ignored. User&amp;#39;s content and related content will be deleted. (For example, if user has authored a blog post, that post and all related comments, likes, bookmarks, etc will be removed.)&lt;/td&gt;
&lt;td&gt;Optional&lt;/td&gt;
&lt;td&gt;&lt;/td&gt;
&lt;td&gt;&lt;/td&gt;
&lt;/tr&gt;
&lt;/tbody&gt;
&lt;/table&gt;
&lt;/div&gt;
&lt;div class="documentation-example"&gt;
&lt;h2&gt;&lt;a id="Example_Requests" name="Example_Requests"&gt;&lt;/a&gt;Example Requests&lt;/h2&gt;
&lt;h3&gt;&lt;a id="C_REST_SDK" name="C_REST_SDK"&gt;&lt;/a&gt;C# REST SDK&lt;/h3&gt;
&lt;p&gt;This example uses the &lt;a href="https://github.com/Telligent/Social-Rest-SDK/wiki"&gt;REST SDK&lt;/a&gt; to access the Community REST API within a .Net C# application. In the example, &lt;code&gt;USER_NAME&lt;/code&gt; is the user name of the effective user for the request and &lt;code&gt;OAUTH_CLIENT_ID&lt;/code&gt; and &lt;code&gt;OAUTH_SECRET&lt;/code&gt; are the OAuth client ID and secret, respectively, associated to this application as configured in &lt;strong&gt;Administration &amp;gt; Integration &amp;gt; OAuth Clients&lt;/strong&gt; with the &amp;quot;Client Credentials&amp;quot; grant type enabled. See the &lt;a href="https://github.com/Telligent/Social-Rest-SDK/wiki"&gt;documentation for the REST SDK&lt;/a&gt; for more details about installation, configuration, and usage options.&lt;/p&gt;
&lt;pre class="brush: csharp"&gt;var host = new ClientCredentialsRestHost(&amp;quot;USER_NAME&amp;quot;, &amp;quot;https://mysite.com/&amp;quot;, &amp;quot;OAUTH_CLIENT_ID&amp;quot;, &amp;quot;OAUTH_SECRET&amp;quot;);
var response = host.DeleteToDynamic(2, &amp;quot;users/{id}.json&amp;quot;, false, new RestDeleteOptions {
	PathParameters = new System.Collections.Specialized.NameValueCollection {
		{ &amp;quot;id&amp;quot;, &amp;quot;6&amp;quot; }
	}
});&lt;/pre&gt;
&lt;/div&gt;
&lt;h3&gt;&lt;a id="Widget_Javascript" name="Widget_Javascript"&gt;&lt;/a&gt;Widget Javascript&lt;/h3&gt;
&lt;p&gt;This example uses the [[rest JavaScript API Module|rest JavaScript API]] to access the Community REST API within the Community web UI. When accessing the REST API through the javascript API, the effective user is the current contextual user of the web interface.&lt;/p&gt;
&lt;pre class="brush: javascript"&gt;jQuery.telligent.evolution.del({
	url: jQuery.telligent.evolution.site.getBaseUrl() + &amp;#39;api.ashx/v2/users/{id}.json&amp;#39;,
	data: { 
		&amp;#39;id&amp;#39;: &amp;#39;6&amp;#39;
	},
	success: function(response) {

	}
});&lt;/pre&gt;
&lt;/div&gt;
&lt;h3&gt;&lt;a id="cURL" name="cURL"&gt;&lt;/a&gt;cURL&lt;/h3&gt;
&lt;p&gt;This example uses the &lt;a href="http://curl.haxx.se/"&gt;cURL command-line HTTP utility&lt;/a&gt;. &lt;code&gt;ENCODED_TOKEN&lt;/code&gt; in the example is the base64-encoded concatenation of the user&amp;#39;s API key (created from the user&amp;#39;s profile), a colon (:), and the user&amp;#39;s user name. &lt;a href="/r?BA"&gt;Learn more about using the REST API&lt;/a&gt;.&lt;/p&gt;
&lt;pre class="brush: text"&gt;curl -H &amp;quot;Rest-User-Token: ENCODED_TOKEN&amp;quot; -H &amp;quot;Rest-Method: DELETE&amp;quot; -X POST https://mysite.com/api.ashx/v2/users/6.xml&lt;/pre&gt;
&lt;div class="documentation-example"&gt;
&lt;h2&gt;&lt;a id="Example_Responses" name="Example_Responses"&gt;&lt;/a&gt;Example Responses&lt;/h2&gt;
&lt;h3&gt;&lt;a id="XML" name="XML"&gt;&lt;/a&gt;XML&lt;/h3&gt;
&lt;pre class="brush: xml"&gt;&amp;lt;?xml version=&amp;quot;1.0&amp;quot; encoding=&amp;quot;utf-16&amp;quot;?&amp;gt;
&amp;lt;Response&amp;gt;
  &amp;lt;Info&amp;gt;
    &amp;lt;Message&amp;gt;string&amp;lt;/Message&amp;gt;
    &amp;lt;Message&amp;gt;string&amp;lt;/Message&amp;gt;
  &amp;lt;/Info&amp;gt;
  &amp;lt;Warnings&amp;gt;
    &amp;lt;Message&amp;gt;string&amp;lt;/Message&amp;gt;
    &amp;lt;Message&amp;gt;string&amp;lt;/Message&amp;gt;
  &amp;lt;/Warnings&amp;gt;
  &amp;lt;Errors&amp;gt;
    &amp;lt;Message&amp;gt;string&amp;lt;/Message&amp;gt;
    &amp;lt;Message&amp;gt;string&amp;lt;/Message&amp;gt;
  &amp;lt;/Errors&amp;gt;
&amp;lt;/Response&amp;gt;&lt;/pre&gt;
&lt;h3&gt;&lt;a id="JSON" name="JSON"&gt;&lt;/a&gt;JSON&lt;/h3&gt;
&lt;pre class="brush: javascript"&gt;{
  &amp;quot;Info&amp;quot;: [
    "string",
    "string"
  ],
  &amp;quot;Warnings&amp;quot;: [
    "string",
    "string"
  ],
  &amp;quot;Errors&amp;quot;: [
    "string",
    "string"
  ]
}&lt;/pre&gt;
&lt;/div&gt;
&lt;hr class="generated-documentation-end" style="border-width:0;" /&gt;&lt;div style="clear:both;"&gt;&lt;/div&gt;
</description></item><item><title>Delete User REST Endpoint</title><link>https://community.telligent.com/community/11/w/api-documentation/64923/delete-user-rest-endpoint/revision/1</link><pubDate>Tue, 19 Nov 2019 20:25:32 GMT</pubDate><guid isPermaLink="false">ed025d3a-15f8-4f1d-93e0-189b1f22985a</guid><dc:creator>Ben Tiedt</dc:creator><comments>https://community.telligent.com/community/11/w/api-documentation/64923/delete-user-rest-endpoint#comments</comments><description>Revision 1 posted to API Documentation by Ben Tiedt on 11/19/2019 20:25:32&lt;br /&gt;
&lt;hr class="generated-documentation-start" style="border-width:0;" /&gt;&lt;div class="documentation"&gt;&lt;div class="documentation-endpoints"&gt;&lt;h2&gt;&lt;a id="URLs" name="URLs"&gt;&lt;/a&gt;URLs&lt;/h2&gt;&lt;h3&gt;&lt;a id="POST_Header_DELETE_api_ashx_v2_users_id_xml_or_json" name="POST_Header_DELETE_api_ashx_v2_users_id_xml_or_json"&gt;&lt;/a&gt;POST (Header: DELETE) api.ashx/v2/users/{id}.xml (or .json)&lt;/h3&gt;&lt;p&gt;DELETE a user by user id.&lt;/p&gt;&lt;h3&gt;&lt;a id="POST_Header_DELETE_api_ashx_v2_users_username_xml_or_json" name="POST_Header_DELETE_api_ashx_v2_users_username_xml_or_json"&gt;&lt;/a&gt;POST (Header: DELETE) api.ashx/v2/users/{username}.xml (or .json)&lt;/h3&gt;&lt;p&gt;DELETE a user by username.&lt;/p&gt;&lt;/div&gt;&lt;div class="documentation-request"&gt;&lt;h2&gt;&lt;a id="Request_Parameters" name="Request_Parameters"&gt;&lt;/a&gt;Request Parameters&lt;/h2&gt;&lt;table cellspacing="0" cellpadding="2" width="99%" class="WikiTable"&gt;&lt;thead&gt;&lt;tr class="WikiTableBgBlue"&gt;&lt;th&gt;Name&lt;/th&gt;&lt;th&gt;Type&lt;/th&gt;&lt;th&gt;Description&lt;/th&gt;&lt;th&gt;Required&lt;/th&gt;&lt;th&gt;Default&lt;/th&gt;&lt;th&gt;Options&lt;/th&gt;&lt;/tr&gt;&lt;/thead&gt;&lt;tbody&gt;&lt;tr&gt;&lt;td&gt;Id&lt;/td&gt;&lt;td&gt;&lt;code&gt;int?&lt;/code&gt;&lt;/td&gt;&lt;td&gt;Either Id or Username is required.&lt;/td&gt;&lt;td&gt;Optional&lt;/td&gt;&lt;td&gt;&lt;/td&gt;&lt;td&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;Username&lt;/td&gt;&lt;td&gt;&lt;code&gt;string&lt;/code&gt;&lt;/td&gt;&lt;td&gt;Either Id or Username is required.&lt;/td&gt;&lt;td&gt;Optional&lt;/td&gt;&lt;td&gt;&lt;/td&gt;&lt;td&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;ReassignedUserId&lt;/td&gt;&lt;td&gt;&lt;code&gt;int?&lt;/code&gt;&lt;/td&gt;&lt;td&gt;Reassign the deleted user&amp;#39;s content to the user with this Id.  If not specified, content will be reassigned to the anonymous user.&lt;/td&gt;&lt;td&gt;Optional&lt;/td&gt;&lt;td&gt;&lt;/td&gt;&lt;td&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;ReassignedUsername&lt;/td&gt;&lt;td&gt;&lt;code&gt;string&lt;/code&gt;&lt;/td&gt;&lt;td&gt;Reassign the deleted user&amp;#39;s content to the user with this username.  If not specified, content will be reassigned to the anonymous user.&lt;/td&gt;&lt;td&gt;Optional&lt;/td&gt;&lt;td&gt;&lt;/td&gt;&lt;td&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;DeleteAllContent&lt;/td&gt;&lt;td&gt;&lt;code&gt;bool&lt;/code&gt;&lt;/td&gt;&lt;td&gt;If DeleteAllContent is set to true, ReassignUserId and ReassignUsername are ignored.  User&amp;#39;s content and related content will be deleted. (For example, if user has authored a blog post, that post and all related comments, likes, bookmarks, etc will be removed.)&lt;/td&gt;&lt;td&gt;Optional&lt;/td&gt;&lt;td&gt;&lt;/td&gt;&lt;td&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/tbody&gt;&lt;/table&gt;&lt;/div&gt;&lt;div class="documentation-example"&gt;&lt;h2&gt;&lt;a id="Example_Requests" name="Example_Requests"&gt;&lt;/a&gt;Example Requests&lt;/h2&gt;&lt;h3&gt;&lt;a id="C_REST_SDK" name="C_REST_SDK"&gt;&lt;/a&gt;C# REST SDK&lt;/h3&gt;&lt;p&gt;This example uses the &lt;a href="https://github.com/Telligent/Social-Rest-SDK/wiki"&gt;REST SDK&lt;/a&gt; to access the Community REST API within a .Net C# application. In the example, &lt;code&gt;USER_NAME&lt;/code&gt; is the user name of the effective user for the request and &lt;code&gt;OAUTH_CLIENT_ID&lt;/code&gt; and &lt;code&gt;OAUTH_SECRET&lt;/code&gt; are the OAuth client ID and secret, respectively, associated to this application as configured in &lt;strong&gt;Administration &amp;gt; Integration &amp;gt; OAuth Clients&lt;/strong&gt; with the &amp;quot;Client Credentials&amp;quot; grant type enabled. See the &lt;a href="https://github.com/Telligent/Social-Rest-SDK/wiki"&gt;documentation for the REST SDK&lt;/a&gt; for more details about installation, configuration, and usage options.&lt;/p&gt;&lt;pre class="brush: csharp"&gt;var host = new ClientCredentialsRestHost(&amp;quot;USER_NAME&amp;quot;, &amp;quot;https://mysite.com/&amp;quot;, &amp;quot;OAUTH_CLIENT_ID&amp;quot;, &amp;quot;OAUTH_SECRET&amp;quot;);
var response = host.DeleteToDynamic(2, &amp;quot;users/{id}.json&amp;quot;, false, new RestDeleteOptions {
	PathParameters = new System.Collections.Specialized.NameValueCollection {
		{ &amp;quot;id&amp;quot;, &amp;quot;6&amp;quot; }
	}
});&lt;/pre&gt;&lt;/div&gt;&lt;h3&gt;&lt;a id="Widget_Javascript" name="Widget_Javascript"&gt;&lt;/a&gt;Widget Javascript&lt;/h3&gt;&lt;p&gt;This example uses the [[rest JavaScript API Module|rest JavaScript API]] to access the Community REST API within the Community web UI. When accessing the REST API through the javascript API, the effective user is the current contextual user of the web interface.&lt;/p&gt;&lt;pre class="brush: javascript"&gt;
jQuery.telligent.evolution.del({
	url: jQuery.telligent.evolution.site.getBaseUrl() + &amp;#39;api.ashx/v2/users/{id}.json&amp;#39;,
	data: { 
		&amp;#39;id&amp;#39;: &amp;#39;6&amp;#39;
	},
	success: function(response) {

	}
});&lt;/pre&gt;&lt;/div&gt;&lt;h3&gt;&lt;a id="cURL" name="cURL"&gt;&lt;/a&gt;cURL&lt;/h3&gt;&lt;p&gt;This example uses the &lt;a href="http://curl.haxx.se/"&gt;cURL command-line HTTP utility&lt;/a&gt;. &lt;code&gt;ENCODED_TOKEN&lt;/code&gt; in the example is the base64-encoded concatenation of the user&amp;#39;s API key (created from the user&amp;#39;s profile), a colon (:), and the user&amp;#39;s user name. &lt;a href="/r?BA"&gt;Learn more about using the REST API&lt;/a&gt;.&lt;/p&gt;&lt;pre class="brush: text"&gt;curl -H &amp;quot;Rest-User-Token: ENCODED_TOKEN&amp;quot; -H &amp;quot;Rest-Method: DELETE&amp;quot; -X POST https://mysite.com/api.ashx/v2/users/6.xml&lt;/pre&gt;&lt;div class="documentation-example"&gt;&lt;h2&gt;&lt;a id="Example_Responses" name="Example_Responses"&gt;&lt;/a&gt;Example Responses&lt;/h2&gt;&lt;h3&gt;&lt;a id="XML" name="XML"&gt;&lt;/a&gt;XML&lt;/h3&gt;&lt;pre class="brush: xml"&gt;&amp;lt;?xml version=&amp;quot;1.0&amp;quot; encoding=&amp;quot;utf-16&amp;quot;?&amp;gt;
&amp;lt;Response&amp;gt;
  &amp;lt;Info&amp;gt;
    &amp;lt;Message&amp;gt;string&amp;lt;/Message&amp;gt;
    &amp;lt;Message&amp;gt;string&amp;lt;/Message&amp;gt;
  &amp;lt;/Info&amp;gt;
  &amp;lt;Warnings&amp;gt;
    &amp;lt;Message&amp;gt;string&amp;lt;/Message&amp;gt;
    &amp;lt;Message&amp;gt;string&amp;lt;/Message&amp;gt;
  &amp;lt;/Warnings&amp;gt;
  &amp;lt;Errors&amp;gt;
    &amp;lt;Message&amp;gt;string&amp;lt;/Message&amp;gt;
    &amp;lt;Message&amp;gt;string&amp;lt;/Message&amp;gt;
  &amp;lt;/Errors&amp;gt;
&amp;lt;/Response&amp;gt;&lt;/pre&gt;&lt;h3&gt;&lt;a id="JSON" name="JSON"&gt;&lt;/a&gt;JSON&lt;/h3&gt;&lt;pre class="brush: javascript"&gt;{
  &amp;quot;Info&amp;quot;: [
    &amp;quot;string&amp;quot;,
    &amp;quot;string&amp;quot;
  ],
  &amp;quot;Warnings&amp;quot;: [
    &amp;quot;string&amp;quot;,
    &amp;quot;string&amp;quot;
  ],
  &amp;quot;Errors&amp;quot;: [
    &amp;quot;string&amp;quot;,
    &amp;quot;string&amp;quot;
  ]
}&lt;/pre&gt;&lt;/div&gt;&lt;hr class="generated-documentation-end" style="border-width:0;" /&gt;&lt;div style="clear:both;"&gt;&lt;/div&gt;
</description></item></channel></rss>